# Generated from darkholme-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name darkholme

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: An entity-component system in Ruby for
License: MIT
URL: http://github.com/evanwalsh/darkholme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.9.12.6
# BuildRequires: rubygem(pry) < 0.9.13
# BuildRequires: rubygem(rspec) >= 3.0.0.beta1
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(yard) >= 0.7
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(guard-rspec) >= 4.2.6
# BuildRequires: rubygem(guard-rspec) < 4.3
# BuildRequires: rubygem(inch) >= 0.2.3
# BuildRequires: rubygem(inch) < 0.3
BuildArch: noarch

%description
An entity-component system in Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/darkholme.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.0-1
- Initial package
